GDB (xrefs)

Public Attributes | List of all members
inline_state Struct Reference

## Public Attributes
ptid_t | ptid
int | skipped_frames
CORE_ADDR | saved_pc
struct symbol * | skipped_symbol

## Detailed Description

Definition at line 35 of file inline-frame.c.

## Member Data Documentation

## ◆ ptid

ptid_t inline_state::ptid

Definition at line 40 of file inline-frame.c.

Referenced by allocate_inline_frame_state(), clear_inline_frame_state(), inline_skipped_frames(), inline_skipped_symbol(), skip_inline_frames(), step_into_inline_frame(), and VEC().

## ◆ saved_pc

CORE_ADDR inline_state::saved_pc

Definition at line 50 of file inline-frame.c.

Referenced by skip_inline_frames(), and VEC().

## ◆ skipped_frames

int inline_state::skipped_frames

Definition at line 44 of file inline-frame.c.

Referenced by inline_frame_sniffer(), inline_skipped_frames(), skip_inline_frames(), and step_into_inline_frame().

## ◆ skipped_symbol

struct symbol* inline_state::skipped_symbol

Definition at line 55 of file inline-frame.c.

Referenced by inline_skipped_symbol(), and skip_inline_frames().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/inline-frame.c